package net.openid.conformance.openbanking_brasil.testmodules.support.automaticPayments.enums.v2;

public enum RecurringPaymentsRejectionReasonEnumV2 {

	SALDO_INSUFICIENTE,
	VALOR_ACIMA_LIMITE,
	VALOR_INVALIDO,
	NAO_INFORMADO,
	PAGAMENTO_DIVERGENTE_CONSENTIMENTO,
	PAGAMENTO_RECUSADO_DETENTORA,
	PAGAMENTO_RECUSADO_SPI,
	FALHA_INFRAESTRUTURA_SPI,
	FALHA_INFRAESTRUTURA_ICP,
	FALHA_INFRAESTRUTURA_PSP_RECEBEDOR,
	FALHA_INFRAESTRUTURA_DETENTORA,
	CONSENTIMENTO_INVALIDO,
	TITULARIDADE_INCONSISTENTE,
	LIMITE_PERIODO_VALOR_EXCEDIDO,
	LIMITE_PERIODO_QUANTIDADE_EXCEDIDO,
	LIMITE_VALOR_TOTAL_CONSENTIMENTO_EXCEDIDO,
	LIMITE_VALOR_TRANSACAO_CONSENTIMENTO_EXCEDIDO,
	LIMITE_TENTATIVAS_EXCEDIDO,
	CONSENTIMENTO_REVOGADO,
	FORA_PRAZO_PERMITIDO,
	DETALHE_TENTATIVA_INVALIDO,
	DETALHE_PAGAMENTO_INVALIDO
}
